---
title: unchecker
description: Simple web extension letting you uncheck all checkboxes on a page.
layout: app

HeaderImage: /img/full/unchecker.webp
HeaderTextWhite: true
SectionHeader:
    AppIndex: unchecker
    Background: radial-gradient(ellipse at 20%, rgb(100,102,105) 0%, rgb(10,8,7) 85%)
    ShowPlatforms: true
    TextWhite: true
    Links:
        - Icon: lookup
          Title: Discover
          Secondary: true
          URL: "#about-section"
        - Icon: download
          Title: Download
          Secondary: true
          URL: "#download-section"

About:
    Title: Discover unchecker
    Content: |
        [GDPR](https://en.wikipedia.org/wiki/General_Data_Protection_Regulation) introduced many new privacy standards around the world, but it seems like that some providers requires you to untick a lot of checkboxes to protect your privacy, at least a little more.    
        Although this is illegal, a lot of companies uses theses techniques as opt-out from advertising and data-collections. This also only apply to European users, so international ones are still subject to unfair opt-outs systems.    
        This extension is rather simple and allows you to check or uncheck all your checkboxes at the same time without having to click dozens of times on them.    
        One button and no more checkboxes ticked.

Sections:
    - Type: image|text
      Image: en/unchecker/oneclick.webp
      Alt: Unchecker one-click solution.
      Content: |
        # One click to uncheck them all
        The main feature of unchecker is it's main button (also called "browser action") that you can use directly from your toolbar.    
        It can be used, with a single click to check, or uncheck all checkboxes from a page.
    - Type: text|image
      Image: en/unchecker/contextmenu.webp
      Alt: Unchecker's context menu.
      Content: |
        # More powerful, click them all.
        While the one-click button works in the majority of cases, you might encounter a few times websites that do not use checkboxes as their mean to say "no", but instead uses dedicated "No" buttons.   
        In these cases, you can use unchecker's more powerful solution: the "Click all similar buttons" feature.    
        You can use it by right clicking one of the "No" buttons, and in the unchecker menu, clicking the "Click all similar buttons feature.
        It can be used, with a single click to check, or uncheck all checkboxes from a page.
        
Technical:
    Links:
        - Title: Source code
          Icon: git
          URL: https://git.ad5001.eu/Ad5001/unchecker
        - Title: Report a bug
          Icon: bug
          URL: https://git.ad5001.eu/Ad5001/unchecker/issues

Download:
    Show: true
    Categories:
        - Name: firefox
          Title: Firefox
          Platform: Firefox
        - Name: all
          Title: All platforms
          Platform: Universal
    Links:
        firefox:
            - Title: Firefox Addons (AMO)
              Index: unchecker
            - Title: Mozilla Installer Package (.xpi)
              Name: unchecker-<version>-fx.xpi (19,6Kio)
              File: unchecker-<version>-fx.xpi
        all:
            - Title: Source code (.tar.gz)
              Name: unchecker-v<version>.tar.gz (11,4KiB)
              File: unchecker-v<version>.tar.gz
---




